Bug 1173085 - Realtek RTL8117 NIC not recognized by Leap 15.2 RC (regression from 15.1)
Realtek RTL8117 NIC not recognized by Leap 15.2 RC (regression from 15.1)
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.2
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-17 18:22 UTC by Olav Reinert
Modified: 2022-07-21 18:46 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Hardware info (1.81 MB, text/plain)
2020-06-17 18:22 UTC, Olav Reinert
Details
Kernel messages (102.85 KB, text/plain)
2020-06-17 18:24 UTC, Olav Reinert
Details
Kernel messages on kernel-default-4.12.14-lp151.28.52.1.x86_64 (101.21 KB, text/plain)
2020-06-18 13:50 UTC, Olav Reinert
Details
Hardware info on kernel-default-4.12.14-lp151.28.52.1.x86_64 (1.77 MB, text/plain)
2020-06-18 13:51 UTC, Olav Reinert
Details
dmesg using patched kernel-default-5.3.18-lp152.1.1.gd4f520d (102.49 KB, text/plain)
2020-06-19 13:20 UTC, Olav Reinert
Details
dmesg using kernel-default-5.7.3-1.1.g44c4af0 from OBS Kernel:stable (102.73 KB, text/plain)
2020-06-19 13:27 UTC, Olav Reinert
Details
dmesg using patched kernel-default-5.3.18-lp152.1.1.gd34b6fe (101.44 KB, text/plain)
2020-06-19 13:39 UTC, Olav Reinert
Details
dmesg using patched kernel-default-5.3.18-lp152.1.1.g4cce4f9 (101.40 KB, text/plain)
2020-06-19 15:44 UTC, Olav Reinert
Details
dmesg using patched kernel-default-5.3.18-8.1.g603a44a (100.61 KB, text/plain)
2020-06-22 21:02 UTC, Olav Reinert
Details
Fix patch for SLE15-SP2 (2.62 KB, patch)
2020-06-23 06:30 UTC, Takashi Iwai
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olav Reinert 2020-06-17 18:22:55 UTC
Created attachment 838907 [details]
Hardware info

On my motherboard (Asus Pro WS X570-ACE) there are two NICs present:
  * Realtek RTL8117
  * Intel I211-AT Gigabit LAN

Leap 15.1 recognizes both, but on a fresh install of Leap 15.2 RC only the Intel NIC is recognized. That is, the command "ip a" lists only one Ethernet adapter on 15.2 RC, whereas it lists two on 15.1.

In dmesg I find the following error which I think is relevant:

    [    6.650810] r8169 0000:06:00.1: unknown chip XID 54a

Please add support for the Realtek RTL8117 NIC in the 15.2 kernel.
Comment 1 Olav Reinert 2020-06-17 18:24:00 UTC
Created attachment 838908 [details]
Kernel messages
Comment 2 Takashi Iwai 2020-06-18 10:58:55 UTC
Do you still have Leap 15.1 system or kernel on your machine?  If not, could you try to install Leap 15.1 kernel on top of your 15.2 system with zypper in --oldpackage option and check whether the device shows up properly?
We need some direct comparison of kernels while keeping the rest, to exclude other possibilities.

If Leap 15.1 kernel really works, please upload dmesg output and hwinfo from from there.
Comment 3 Olav Reinert 2020-06-18 13:47:10 UTC
I have Leap 15.1 installed, yes - it is still the primary OS.

As suggested, I installed the current 15.1 kernel (kernel-default-4.12.14-lp151.28.52.1.x86_64) on my 15.2 installation. After a reboot, the Realtek NIC is in fact present, just like when running Leap 15.1 proper.
Comment 4 Olav Reinert 2020-06-18 13:50:55 UTC
Created attachment 838938 [details]
Kernel messages on kernel-default-4.12.14-lp151.28.52.1.x86_64
Comment 5 Olav Reinert 2020-06-18 13:51:55 UTC
Created attachment 838939 [details]
Hardware info on kernel-default-4.12.14-lp151.28.52.1.x86_64
Comment 6 Takashi Iwai 2020-06-18 14:23:20 UTC
Thanks.

Could you try to re-probe the PCI device?  e.g.

  echo 1 > /devices/pci0000:00/0000:00:01.2/0000:02:00.0/0000:03:04.0/0000:06:00.1/remove
  echo 1 > devices/pci0000:00/0000:00:01.2/0000:02:00.0/0000:03:04.0/rescan

Often it's something wrongly powered at a fresh boot and the forcible rescan helps.
Comment 7 Olav Reinert 2020-06-18 15:52:04 UTC
A forced remove and rescan produced the following output in the system log:

bb:~ # echo 1 >/sys/devices/pci0000:00/0000:00:01.2/0000:02:00.0/0000:03:04.0/0000:06:00.1/remove

Jun 18 17:34:57 bb kernel: pci 0000:06:00.1: Removing from iommu group 27

bb:~ # echo 1 >/sys/devices/pci0000:00/0000:00:01.2/0000:02:00.0/0000:03:04.0/rescan

Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: [10ec:8168] type 00 class 0x020000
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: reg 0x10: [io  0xd800-0xd8ff]
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: reg 0x18: [mem 0xfc514000-0xfc514fff 64bit]
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: reg 0x20: [mem 0xfc508000-0xfc50bfff 64bit]
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: supports D1 D2
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: PME# supported from D0 D1 D2 D3hot D3cold
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: Adding to iommu group 27
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: BAR 4: assigned [mem 0xfc508000-0xfc50bfff 64bit]
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: BAR 2: assigned [mem 0xfc514000-0xfc514fff 64bit]
Jun 18 17:36:47 bb kernel: pci 0000:06:00.1: BAR 0: assigned [io  0xd800-0xd8ff]
Jun 18 17:36:47 bb kernel: r8169 0000:06:00.1: unknown chip XID 54a


Conclusion: Rescan does not help, it just reproduces the "unknown chip" error I mentioned earlier.

I also verified that I am in fact operating on the correct device:

bb:~ # lspci|grep RTL811
06:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 1a)
Comment 8 Takashi Iwai 2020-06-18 16:11:47 UTC
OK thanks for checking.

Meanwhile I noticed that your chip hasn't been supported properly on r8169, and its support was added very recently (5.5).  Maybe it worked casually in the past although it wasn't supported.

I'll check whether the support patch can be backported to Leap 15.2 kernel easily.
Comment 9 Takashi Iwai 2020-06-18 20:27:22 UTC
Unfortunately there are quite lots of prerequisite commits the fix commit depends on, so in the end I had to apply almost 50 patches to reach there.
The test kernel is built in OBS home:tiwai:bsc1173085 repo.  It'll appear at
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1173085/standard/

Please give it a try.
Comment 10 Olav Reinert 2020-06-19 00:11:33 UTC
Unfortunately, the patched kernel doesn't fix the problem.

Now, when doing the remove+rescan of the PCI device, the following log entries are produced:

Jun 19 02:00:48 bb kernel: pci 0000:06:00.1: Removing from iommu group 27
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: [10ec:8168] type 00 class 0x020000
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: reg 0x10: [io  0xd800-0xd8ff]
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: reg 0x18: [mem 0xfc514000-0xfc514fff 64bit]
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: reg 0x20: [mem 0xfc508000-0xfc50bfff 64bit]
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: supports D1 D2
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: PME# supported from D0 D1 D2 D3hot D3cold
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: Adding to iommu group 27
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: BAR 4: assigned [mem 0xfc508000-0xfc50bfff 64bit]
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: BAR 2: assigned [mem 0xfc514000-0xfc514fff 64bit]
Jun 19 02:00:57 bb kernel: pci 0000:06:00.1: BAR 0: assigned [io  0xd800-0xd8ff]
Jun 19 02:00:57 bb kernel: Error: Driver 'RTL8208 Fast Ethernet' is already registered, aborting...
Jun 19 02:00:57 bb kernel: libphy: RTL8208 Fast Ethernet: Error -16 in registering driver
Jun 19 02:00:57 bb kernel: libphy: r8169: probed
Jun 19 02:00:57 bb kernel: r8169 0000:06:00.1: realtek.ko not loaded, maybe it needs to be added to initramfs?
Jun 19 02:00:57 bb kernel: r8169: probe of 0000:06:00.1 failed with error -49
Jun 19 02:02:12 bb kernel: Error: Driver 'RTL8208 Fast Ethernet' is already registered, aborting...
Jun 19 02:02:12 bb kernel: libphy: RTL8208 Fast Ethernet: Error -16 in registering driver
Comment 11 Takashi Iwai 2020-06-19 06:37:42 UTC
You might need to unload realtek kernel module (it's phy driver) beforehand.

But, could you upload the full dmesg output with the new kernel?  The first probe should have succeeded if everything is right.
Comment 12 Takashi Iwai 2020-06-19 08:15:44 UTC
Also, could you confirm that 5.7.x kernel in OBS Kernel:stable works?  If that's confirmed, I can try to backport up to 5.7.
Comment 13 Takashi Iwai 2020-06-19 09:52:29 UTC
FYI, I created another test kernel in OBS home:tiwai:bsc1173085-2 repo containing more backports.  If 5.7 kernel worked, please give this a try.
Comment 14 Olav Reinert 2020-06-19 13:18:18 UTC
(In reply to Takashi Iwai from comment #11)
> You might need to unload realtek kernel module (it's phy driver) beforehand.

The "realtek" module isn't loaded at any time, neither before nor after the remove+rescan (for which I don't show log entries here, they are the same as reported earlier):

bb:~ # modinfo realtek
filename:       /lib/modules/5.3.18-lp152.1.gd4f520d-default/kernel/drivers/net/phy/realtek.ko
license:        GPL
author:         Johnson Leung
description:    Realtek PHY driver
suserelease:    openSUSE Leap 15.2
srcversion:     115992CBFCAF74B6BF13EE3
alias:          mdio:0000000000011100110010??????????
depends:        libphy
retpoline:      Y
intree:         Y
name:           realtek
vermagic:       5.3.18-lp152.1.gd4f520d-default SMP mod_unload modversions 
sig_id:         PKCS#7
signer:         home:tiwai OBS Project
sig_key:        30:4F:31:1F:30:1D:06:03:55:04:03:0C:16:68:6F:6D:65:3A:74:69:
		77:61:69:20:4F:42:53:20:50:72:6F:6A:65:63:74:31:2C:30:2A:06:
		09:2A:86:48:86:F7:0D:01:09:01:16:1D:68:6F:6D:65:3A:74:69:77:
		61:69:40:62:75:69:6C:64:2E:6F:70:65:6E:73:75:73:65:2E:6F:72:
		67:02:09:00:87:F7:87:C1:D0:A0:DB:59
sig_hashalgo:   sha256
signature:      40:38:CF:C4:35:23:DF:DB:54:DE:52:61:0B:04:46:5A:FB:5F:37:02:
		1E:80:0B:3A:D5:95:99:94:7B:FE:35:4F:B3:1B:BA:55:86:A0:4C:3D:
		62:B9:8A:5C:2D:C8:3B:C6:15:67:E1:4D:9A:C2:6E:C2:6C:6A:2A:58:
		8C:F8:8A:97:C7:9D:39:0C:40:11:8E:B2:CC:FC:C2:E2:65:CF:0E:4B:
		3A:83:F5:6B:A6:70:D5:65:BA:28:55:9B:88:5C:F9:33:4A:36:55:FE:
		EC:09:E4:9D:1E:96:B7:CC:06:4C:5D:E6:F2:D4:19:97:AC:1D:8D:EF:
		D5:16:28:4E:DF:37:ED:3C:91:72:B9:2F:FD:82:F1:DA:10:6C:D0:CD:
		80:41:31:B2:04:76:7D:6E:3B:6E:EE:E9:68:3E:7E:14:73:06:E2:AA:
		67:0E:8E:14:F5:E9:67:CC:BA:5F:D4:2B:6C:3F:1D:05:5E:EE:1F:F3:
		99:A7:64:96:41:4D:2E:EE:85:DB:50:F9:62:C4:55:7A:F9:24:63:D1:
		28:CF:C6:AA:84:0A:99:29:8A:44:3E:11:0B:A8:E3:FB:DB:88:F6:B8:
		F2:A0:4F:11:A3:45:0A:99:46:8E:BA:B3:A7:A0:B0:24:8A:0A:9E:9A:
		E8:0B:84:E4:C8:46:4A:60:03:35:D0:17:3E:13:CB:48
bb:~ # rmmod realtek
rmmod: ERROR: Module realtek is not currently loaded
bb:~ # echo 1 >/sys/devices/pci0000:00/0000:00:01.2/0000:02:00.0/0000:03:04.0/0000:06:00.1/remove
bb:~ # rmmod realtek
rmmod: ERROR: Module realtek is not currently loaded
bb:~ # echo 1 >/sys/devices/pci0000:00/0000:00:01.2/0000:02:00.0/0000:03:04.0/rescan
bb:~ # rmmod realtek
rmmod: ERROR: Module realtek is not currently loaded
Comment 15 Olav Reinert 2020-06-19 13:20:32 UTC
Created attachment 838969 [details]
dmesg using patched kernel-default-5.3.18-lp152.1.1.gd4f520d
Comment 16 Olav Reinert 2020-06-19 13:26:08 UTC
(In reply to Takashi Iwai from comment #12)
> Also, could you confirm that 5.7.x kernel in OBS Kernel:stable works?  If
> that's confirmed, I can try to backport up to 5.7.

It works With kernel-default-5.7.3-1.1.g44c4af0.x86_64 from OBS Kernel:stable.
Comment 17 Olav Reinert 2020-06-19 13:27:49 UTC
Created attachment 838971 [details]
dmesg using kernel-default-5.7.3-1.1.g44c4af0 from OBS Kernel:stable
Comment 18 Olav Reinert 2020-06-19 13:37:58 UTC
(In reply to Takashi Iwai from comment #13)
> FYI, I created another test kernel in OBS home:tiwai:bsc1173085-2 repo
> containing more backports.  If 5.7 kernel worked, please give this a try.

This kernel boots just fine, but doesn't solve the problem with the Realtek NIC.
Comment 19 Olav Reinert 2020-06-19 13:39:41 UTC
Created attachment 838972 [details]
dmesg using patched kernel-default-5.3.18-lp152.1.1.gd34b6fe
Comment 20 Takashi Iwai 2020-06-19 13:52:48 UTC
Thanks.  Then it might be something wrong in the phy side.
I found a bug with the doubly entries, and that might be the cause of "RTL8208" error messages.

I'm build yet again Leap 15.2 kernel in OBS home:tiwai:bsc1173085-3 repo with the correction.
Even if this still shows the same error, it'll indicate the phy number in the error message, so it might help.  Let's see.
Comment 21 Olav Reinert 2020-06-19 15:42:12 UTC
With kernel-default-5.3.18-lp152.1.1.g4cce4f9.x86_64 from OBS home:tiwai:bsc1173085-3 it works - good job!
Comment 22 Olav Reinert 2020-06-19 15:44:41 UTC
Created attachment 838976 [details]
dmesg using patched kernel-default-5.3.18-lp152.1.1.g4cce4f9
Comment 23 Takashi Iwai 2020-06-19 15:50:40 UTC
Thanks, finally good to hear :)

The only slight concern is that the new kernel shows an error at probe:
[    6.526867] r8169 0000:06:00.1 (unnamed net_device) (uninitialized): rtl_txcfg_empty_cond == 0 (loop: 42, delay: 100).

while it isn't shown in 5.7.1 kernel.  But it seems like a one-off thing, so maybe not too serious.
Comment 25 Olav Reinert 2020-06-19 17:54:44 UTC
(In reply to Takashi Iwai from comment #23)
> Thanks, finally good to hear :)
> 
> The only slight concern is that the new kernel shows an error at probe:
> [    6.526867] r8169 0000:06:00.1 (unnamed net_device) (uninitialized):
> rtl_txcfg_empty_cond == 0 (loop: 42, delay: 100).
> 
> while it isn't shown in 5.7.1 kernel.  But it seems like a one-off thing, so
> maybe not too serious.

It seems I was too quick to declare success, unfortunately.

With your kernel-default-5.3.18-lp152.1.1.g4cce4f9, the Realtek interface is indeed detected, but because wicked fails to assign an IP-address to it, it remains in state DOWN:

# ifstatus eth1
eth1            setup-in-progress
      link:     #2, state device-up, mtu 1500
      type:     ethernet, hwaddr 34:97:f6:32:81:3f
      config:   compat:suse:/etc/sysconfig/network/ifcfg-eth1

Please let me know what other debug information you need to diagnose this.

(In contrast, with kernel-default-5.7.3-1.1.g44c4af0 from OBS Kernel:stable, eth1 is initialized correctly, and the system is able to send and receive network traffic with it.)
Comment 26 Takashi Iwai 2020-06-22 13:09:05 UTC
(In reply to Olav Reinert from comment #25)
> It seems I was too quick to declare success, unfortunately.

It's a pity :-<

Then we may try another approach.  Instead of backport tons of patches, revert / work around the change that caused the probe failure.

I'm building another test kernel in OBS home:tiwai:bsc1173085-3 repo with a downstream patch that allows the default MAC version assignment for your chip.
It's a very small change and less intrusive.
Let's see whether it works.
Comment 27 Olav Reinert 2020-06-22 21:01:18 UTC
(In reply to Takashi Iwai from comment #26)
> Then we may try another approach.  Instead of backport tons of patches,
> revert / work around the change that caused the probe failure.
> 
> I'm building another test kernel in OBS home:tiwai:bsc1173085-3 repo with a
> downstream patch that allows the default MAC version assignment for your
> chip.
> It's a very small change and less intrusive.
> Let's see whether it works.

This fix (in your kernel-default-5.3.18-8.1.g603a44a.x86_64 package) works! The Realtek NIC is detected, and wicked is able to bring it UP as expected.

Even though the "unknown chip XID" error is still present in the kernel messages, I am satisfied with this solution.
Comment 28 Olav Reinert 2020-06-22 21:02:49 UTC
Created attachment 839021 [details]
dmesg using patched kernel-default-5.3.18-8.1.g603a44a
Comment 29 Takashi Iwai 2020-06-23 06:29:25 UTC
Finally a good news :)

FWIW, below is the downstream fix patch for SLE15-SP2 / Leap 15.2.
I pushed this for the merge to SLE15-SP2-UPDATE branch, which will be used for the first Leap 15.2 update kernel.

Thanks for the patient testing!
Comment 30 Takashi Iwai 2020-06-23 06:30:25 UTC
Created attachment 839027 [details]
Fix patch for SLE15-SP2
Comment 31 Olav Reinert 2020-06-23 18:22:06 UTC
(In reply to Takashi Iwai from comment #29)
> Thanks for the patient testing!

No problem - thanks for your hard work creating patches. It's good to know that my hardware will be supported by Leap 15.2, eventually.
Comment 32 OBSbugzilla Bot 2020-06-29 09:29:26 UTC
This is an autogenerated message for OBS integration:
This bug (1173085) was mentioned in
https://build.opensuse.org/request/show/817641 15.2 / kernel-source
Comment 33 OBSbugzilla Bot 2020-06-29 22:10:12 UTC
This is an autogenerated message for OBS integration:
This bug (1173085) was mentioned in
https://build.opensuse.org/request/show/817782 15.2 / kernel-source
Comment 34 Swamp Workflow Management 2020-07-07 04:28:36 UTC
openSUSE-SU-2020:0935-1: An update that solves 16 vulnerabilities and has 117 fixes is now available.

Category: security (important)
Bug References: 1058115,1065729,1071995,1085030,1148868,1152472,1152489,1153274,1154353,1154492,1155518,1155798,1156395,1157169,1158050,1158242,1158265,1158748,1158765,1159781,1159867,1160947,1161495,1162002,1162063,1162400,1164648,1164777,1164780,1165211,1165975,1166985,1167104,1167651,1168230,1168779,1168838,1169021,1169194,1169514,1169681,1170011,1170442,1170774,1170879,1170891,1170895,1171189,1171191,1171219,1171220,1171246,1171417,1171513,1171530,1171662,1171688,1171699,1171739,1171743,1171759,1171828,1171868,1171904,1171915,1171982,1171983,1172017,1172046,1172061,1172062,1172063,1172064,1172065,1172066,1172067,1172068,1172069,1172073,1172086,1172095,1172169,1172170,1172208,1172223,1172342,1172343,1172344,1172365,1172366,1172374,1172391,1172393,1172394,1172453,1172458,1172467,1172484,1172537,1172719,1172739,1172751,1172759,1172775,1172781,1172782,1172783,1172814,1172823,1172841,1172938,1172939,1172940,1172956,1172983,1172984,1172985,1172986,1172987,1172988,1172989,1172990,1172999,1173060,1173068,1173085,1173139,1173206,1173271,1173280,1173428,1173438,1173461
CVE References: CVE-2019-19462,CVE-2019-20810,CVE-2019-20812,CVE-2020-10711,CVE-2020-10732,CVE-2020-10751,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10773,CVE-2020-12656,CVE-2020-12769,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14416
Sources used:
openSUSE Leap 15.2 (src):    kernel-debug-5.3.18-lp152.20.7.1, kernel-default-5.3.18-lp152.20.7.1, kernel-docs-5.3.18-lp152.20.7.1, kernel-kvmsmall-5.3.18-lp152.20.7.1, kernel-obs-build-5.3.18-lp152.20.7.1, kernel-obs-qa-5.3.18-lp152.20.7.1, kernel-preempt-5.3.18-lp152.20.7.1, kernel-source-5.3.18-lp152.20.7.1, kernel-syms-5.3.18-lp152.20.7.1
Comment 40 Swamp Workflow Management 2020-07-23 16:30:22 UTC
SUSE-SU-2020:2027-1: An update that solves 19 vulnerabilities and has 162 fixes is now available.

Category: security (important)
Bug References: 1058115,1065729,1071995,1085030,1148868,1152472,1152489,1153274,1154353,1154492,1155518,1155798,1156395,1157169,1158050,1158242,1158265,1158748,1158765,1158983,1159781,1159867,1160947,1161495,1162002,1162063,1162400,1162702,1164648,1164777,1164780,1165211,1165975,1166985,1167104,1167651,1167773,1168230,1168779,1168838,1169021,1169094,1169194,1169514,1169681,1170011,1170284,1170442,1170617,1170774,1170879,1170891,1170895,1171150,1171189,1171191,1171219,1171220,1171246,1171417,1171513,1171529,1171530,1171662,1171688,1171699,1171732,1171739,1171743,1171759,1171828,1171868,1171904,1171915,1171982,1171983,1172017,1172046,1172061,1172062,1172063,1172064,1172065,1172066,1172067,1172068,1172069,1172073,1172086,1172095,1172169,1172170,1172208,1172223,1172342,1172343,1172344,1172365,1172366,1172374,1172391,1172393,1172394,1172453,1172458,1172467,1172484,1172537,1172543,1172687,1172719,1172739,1172751,1172759,1172775,1172781,1172782,1172783,1172814,1172823,1172841,1172871,1172938,1172939,1172940,1172956,1172983,1172984,1172985,1172986,1172987,1172988,1172989,1172990,1172999,1173060,1173068,1173085,1173139,1173206,1173271,1173280,1173284,1173428,1173438,1173461,1173514,1173552,1173573,1173625,1173746,1173776,1173817,1173818,1173820,1173822,1173823,1173824,1173825,1173826,1173827,1173828,1173830,1173831,1173832,1173833,1173834,1173836,1173837,1173838,1173839,1173841,1173843,1173844,1173845,1173847,1173860,1173894,1174018,1174244,1174345
CVE References: CVE-2019-19462,CVE-2019-20810,CVE-2019-20812,CVE-2020-10711,CVE-2020-10732,CVE-2020-10751,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10773,CVE-2020-12656,CVE-2020-12769,CVE-2020-12771,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP2 (src):    kernel-azure-5.3.18-18.5.1, kernel-source-azure-5.3.18-18.5.1, kernel-syms-azure-5.3.18-18.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 43 Swamp Workflow Management 2020-08-03 19:47:53 UTC
SUSE-SU-2020:2105-1: An update that solves 22 vulnerabilities and has 193 fixes is now available.

Category: security (important)
Bug References: 1058115,1065729,1071995,1085030,1148868,1152472,1152489,1153274,1154353,1154492,1155518,1155798,1156395,1157169,1158050,1158242,1158265,1158748,1158765,1158983,1159781,1159867,1160947,1161495,1162002,1162063,1162400,1162702,1164648,1164777,1164780,1165211,1165933,1165975,1166985,1167104,1167651,1167773,1168230,1168779,1168838,1168959,1169021,1169094,1169194,1169514,1169681,1169771,1170011,1170284,1170442,1170617,1170774,1170879,1170891,1170895,1171150,1171189,1171191,1171219,1171220,1171246,1171417,1171513,1171529,1171530,1171662,1171688,1171699,1171732,1171739,1171743,1171759,1171828,1171857,1171868,1171904,1171915,1171982,1171983,1171988,1172017,1172046,1172061,1172062,1172063,1172064,1172065,1172066,1172067,1172068,1172069,1172073,1172086,1172095,1172169,1172170,1172201,1172208,1172223,1172342,1172343,1172344,1172365,1172366,1172374,1172391,1172393,1172394,1172453,1172458,1172467,1172484,1172537,1172543,1172687,1172719,1172739,1172751,1172759,1172775,1172781,1172782,1172783,1172814,1172823,1172841,1172871,1172938,1172939,1172940,1172956,1172983,1172984,1172985,1172986,1172987,1172988,1172989,1172990,1172999,1173060,1173068,1173074,1173085,1173139,1173206,1173271,1173280,1173284,1173428,1173438,1173461,1173514,1173552,1173573,1173625,1173746,1173776,1173817,1173818,1173820,1173822,1173823,1173824,1173825,1173826,1173827,1173828,1173830,1173831,1173832,1173833,1173834,1173836,1173837,1173838,1173839,1173841,1173843,1173844,1173845,1173847,1173849,1173860,1173894,1173941,1174018,1174072,1174116,1174126,1174127,1174128,1174129,1174185,1174244,1174263,1174264,1174331,1174332,1174333,1174345,1174356,1174396,1174398,1174407,1174409,1174411,1174438,1174462,1174513,1174527,1174543,1174627,962849
CVE References: CVE-2019-19462,CVE-2019-20810,CVE-2019-20812,CVE-2020-0305,CVE-2020-10135,CVE-2020-10711,CVE-2020-10732,CVE-2020-10751,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10773,CVE-2020-10781,CVE-2020-12656,CVE-2020-12769,CVE-2020-12771,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    kernel-default-5.3.18-24.9.1
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    kernel-default-5.3.18-24.9.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    kernel-docs-5.3.18-24.9.2, kernel-obs-build-5.3.18-24.9.1, kernel-preempt-5.3.18-24.9.1, kernel-source-5.3.18-24.9.1, kernel-syms-5.3.18-24.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    kernel-default-5.3.18-24.9.1, kernel-default-base-5.3.18-24.9.1.9.2.6, kernel-preempt-5.3.18-24.9.1, kernel-source-5.3.18-24.9.1
SUSE Linux Enterprise High Availability 15-SP2 (src):    kernel-default-5.3.18-24.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 44 Swamp Workflow Management 2020-08-03 20:18:46 UTC
SUSE-SU-2020:2105-1: An update that solves 22 vulnerabilities and has 193 fixes is now available.

Category: security (important)
Bug References: 1058115,1065729,1071995,1085030,1148868,1152472,1152489,1153274,1154353,1154492,1155518,1155798,1156395,1157169,1158050,1158242,1158265,1158748,1158765,1158983,1159781,1159867,1160947,1161495,1162002,1162063,1162400,1162702,1164648,1164777,1164780,1165211,1165933,1165975,1166985,1167104,1167651,1167773,1168230,1168779,1168838,1168959,1169021,1169094,1169194,1169514,1169681,1169771,1170011,1170284,1170442,1170617,1170774,1170879,1170891,1170895,1171150,1171189,1171191,1171219,1171220,1171246,1171417,1171513,1171529,1171530,1171662,1171688,1171699,1171732,1171739,1171743,1171759,1171828,1171857,1171868,1171904,1171915,1171982,1171983,1171988,1172017,1172046,1172061,1172062,1172063,1172064,1172065,1172066,1172067,1172068,1172069,1172073,1172086,1172095,1172169,1172170,1172201,1172208,1172223,1172342,1172343,1172344,1172365,1172366,1172374,1172391,1172393,1172394,1172453,1172458,1172467,1172484,1172537,1172543,1172687,1172719,1172739,1172751,1172759,1172775,1172781,1172782,1172783,1172814,1172823,1172841,1172871,1172938,1172939,1172940,1172956,1172983,1172984,1172985,1172986,1172987,1172988,1172989,1172990,1172999,1173060,1173068,1173074,1173085,1173139,1173206,1173271,1173280,1173284,1173428,1173438,1173461,1173514,1173552,1173573,1173625,1173746,1173776,1173817,1173818,1173820,1173822,1173823,1173824,1173825,1173826,1173827,1173828,1173830,1173831,1173832,1173833,1173834,1173836,1173837,1173838,1173839,1173841,1173843,1173844,1173845,1173847,1173849,1173860,1173894,1173941,1174018,1174072,1174116,1174126,1174127,1174128,1174129,1174185,1174244,1174263,1174264,1174331,1174332,1174333,1174345,1174356,1174396,1174398,1174407,1174409,1174411,1174438,1174462,1174513,1174527,1174543,1174627,962849
CVE References: CVE-2019-19462,CVE-2019-20810,CVE-2019-20812,CVE-2020-0305,CVE-2020-10135,CVE-2020-10711,CVE-2020-10732,CVE-2020-10751,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10773,CVE-2020-10781,CVE-2020-12656,CVE-2020-12769,CVE-2020-12771,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14416,CVE-2020-15393,CVE-2020-15780
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    kernel-default-5.3.18-24.9.1
SUSE Linux Enterprise Module for Live Patching 15-SP2 (src):    kernel-default-5.3.18-24.9.1, kernel-livepatch-SLE15-SP2_Update_1-1-5.3.6
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    kernel-default-5.3.18-24.9.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    kernel-docs-5.3.18-24.9.2, kernel-obs-build-5.3.18-24.9.1, kernel-preempt-5.3.18-24.9.1, kernel-source-5.3.18-24.9.1, kernel-syms-5.3.18-24.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    kernel-default-5.3.18-24.9.1, kernel-default-base-5.3.18-24.9.1.9.2.6, kernel-preempt-5.3.18-24.9.1, kernel-source-5.3.18-24.9.1
SUSE Linux Enterprise High Availability 15-SP2 (src):    kernel-default-5.3.18-24.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 49 Swamp Workflow Management 2021-02-05 20:56:02 UTC
openSUSE-SU-2021:0242-1: An update that solves 79 vulnerabilities and has 676 fixes is now available.

Category: security (moderate)
Bug References: 1034995,1040855,1043347,1044120,1044767,1055014,1055117,1055186,1058115,1061843,1065600,1065729,1066382,1071995,1077428,1085030,1094244,1094840,1109695,1115431,1120163,1129923,1133021,1134760,1136666,1138374,1139944,1148868,1149032,1152148,1152457,1152472,1152489,1153274,1154353,1154488,1154492,1154824,1155518,1155798,1156315,1156395,1157169,1158050,1158242,1158265,1158748,1158765,1158775,1158983,1159058,1159781,1159867,1159886,1160388,1160634,1160947,1161099,1161495,1162002,1162063,1162209,1162400,1162702,1163592,1163727,1164648,1164777,1164780,1165211,1165455,1165629,1165692,1165933,1165975,1166146,1166166,1166340,1166965,1166985,1167030,1167104,1167527,1167651,1167657,1167773,1167851,1168230,1168461,1168468,1168779,1168838,1168952,1168959,1169021,1169094,1169194,1169263,1169514,1169681,1169763,1169771,1169790,1169795,1170011,1170139,1170232,1170284,1170415,1170442,1170617,1170621,1170774,1170879,1170891,1170895,1171000,1171068,1171073,1171078,1171117,1171150,1171156,1171189,1171191,1171218,1171219,1171220,1171236,1171242,1171246,1171285,1171293,1171374,1171390,1171391,1171392,1171417,1171426,1171507,1171513,1171514,1171529,1171530,1171558,1171634,1171644,1171662,1171675,1171688,1171699,1171709,1171730,1171732,1171736,1171739,1171742,1171743,1171759,1171773,1171774,1171775,1171776,1171777,1171778,1171779,1171780,1171781,1171782,1171783,1171784,1171785,1171786,1171787,1171788,1171789,1171790,1171791,1171792,1171793,1171794,1171795,1171796,1171797,1171798,1171799,1171810,1171827,1171828,1171832,1171833,1171834,1171835,1171839,1171840,1171841,1171842,1171843,1171844,1171849,1171857,1171868,1171904,1171915,1171982,1171983,1171988,1172017,1172046,1172061,1172062,1172063,1172064,1172065,1172066,1172067,1172068,1172069,1172073,1172086,1172095,1172108,1172145,1172169,1172170,1172197,1172201,1172208,1172223,1172247,1172317,1172342,1172343,1172344,1172365,1172366,1172374,1172391,1172393,1172394,1172418,1172419,1172453,1172458,1172467,1172484,1172537,1172543,1172687,1172719,1172733,1172739,1172751,1172757,1172759,1172775,1172781,1172782,1172783,1172814,1172823,1172841,1172871,1172873,1172938,1172939,1172940,1172956,1172963,1172983,1172984,1172985,1172986,1172987,1172988,1172989,1172990,1172999,1173017,1173068,1173074,1173085,1173115,1173139,1173206,1173267,1173271,1173280,1173284,1173428,1173438,1173461,1173468,1173485,1173514,1173552,1173573,1173625,1173746,1173776,1173798,1173813,1173817,1173818,1173820,1173822,1173823,1173824,1173825,1173826,1173827,1173828,1173830,1173831,1173832,1173833,1173834,1173836,1173837,1173838,1173839,1173841,1173843,1173844,1173845,1173847,1173849,1173860,1173894,1173941,1173954,1174002,1174003,1174018,1174026,1174029,1174072,1174098,1174110,1174111,1174116,1174126,1174127,1174128,1174129,1174146,1174185,1174205,1174244,1174263,1174264,1174331,1174332,1174333,1174345,1174356,1174358,1174362,1174387,1174396,1174398,1174407,1174409,1174411,1174438,1174462,1174484,1174486,1174513,1174527,1174625,1174627,1174645,1174689,1174699,1174737,1174748,1174757,1174762,1174770,1174771,1174777,1174805,1174824,1174825,1174852,1174865,1174880,1174897,1174899,1174906,1174969,1175009,1175010,1175011,1175012,1175013,1175014,1175015,1175016,1175017,1175018,1175019,1175020,1175021,1175052,1175079,1175112,1175116,1175128,1175149,1175175,1175176,1175180,1175181,1175182,1175183,1175184,1175185,1175186,1175187,1175188,1175189,1175190,1175191,1175192,1175195,1175199,1175213,1175232,1175263,1175284,1175296,1175306,1175344,1175345,1175346,1175347,1175367,1175377,1175440,1175480,1175493,1175546,1175550,1175599,1175621,1175654,1175667,1175691,1175718,1175721,1175749,1175768,1175769,1175770,1175771,1175772,1175774,1175775,1175787,1175807,1175834,1175873,1175882,1175898,1175918,1175952,1175995,1175996,1175997,1175998,1175999,1176000,1176001,1176019,1176022,1176038,1176063,1176069,1176109,1176137,1176180,1176200,1176235,1176236,1176237,1176242,1176354,1176357,1176358,1176359,1176360,1176361,1176362,1176363,1176364,1176365,1176366,1176367,1176381,1176396,1176400,1176423,1176449,1176481,1176485,1176486,1176507,1176536,1176537,1176538,1176539,1176540,1176541,1176542,1176543,1176544,1176545,1176546,1176548,1176558,1176559,1176564,1176586,1176587,1176588,1176659,1176698,1176699,1176700,1176713,1176721,1176722,1176725,1176732,1176763,1176775,1176788,1176789,1176833,1176855,1176869,1176877,1176907,1176925,1176942,1176956,1176962,1176979,1176980,1176983,1176990,1177021,1177030,1177066,1177070,1177086,1177090,1177109,1177121,1177193,1177194,1177206,1177258,1177271,1177281,1177283,1177284,1177285,1177286,1177297,1177326,1177353,1177384,1177397,1177410,1177411,1177470,1177500,1177511,1177617,1177666,1177679,1177681,1177683,1177687,1177694,1177697,1177698,1177703,1177719,1177724,1177725,1177726,1177733,1177739,1177749,1177750,1177754,1177755,1177765,1177766,1177799,1177801,1177814,1177817,1177820,1177854,1177855,1177856,1177861,1178002,1178049,1178079,1178123,1178166,1178173,1178175,1178176,1178177,1178182,1178183,1178184,1178185,1178186,1178190,1178191,1178203,1178227,1178246,1178255,1178270,1178286,1178307,1178330,1178393,1178395,1178401,1178426,1178461,1178579,1178581,1178584,1178585,1178589,1178590,1178612,1178634,1178635,1178653,1178659,1178660,1178661,1178669,1178686,1178740,1178755,1178756,1178762,1178780,1178838,1178853,1178886,1179001,1179012,1179014,1179015,1179045,1179076,1179082,1179107,1179140,1179141,1179160,1179201,1179204,1179211,1179217,1179419,1179424,1179425,1179426,1179427,1179429,1179432,1179434,1179435,1179442,1179519,1179550,1179575,1179578,1179601,1179604,1179639,1179652,1179656,1179670,1179671,1179672,1179673,1179675,1179676,1179677,1179678,1179679,1179680,1179681,1179682,1179683,1179684,1179685,1179687,1179688,1179689,1179690,1179703,1179704,1179707,1179709,1179710,1179711,1179712,1179713,1179714,1179715,1179716,1179745,1179763,1179887,1179888,1179892,1179896,1179960,1179963,1180027,1180029,1180031,1180052,1180056,1180086,1180117,1180258,1180261,1180349,1180506,1180541,1180559,1180566,173030,744692,789311,954532,995541
CVE References: CVE-2019-19462,CVE-2019-20810,CVE-2019-20812,CVE-2020-0110,CVE-2020-0305,CVE-2020-0404,CVE-2020-0427,CVE-2020-0431,CVE-2020-0432,CVE-2020-0444,CVE-2020-0465,CVE-2020-0466,CVE-2020-0543,CVE-2020-10135,CVE-2020-10711,CVE-2020-10732,CVE-2020-10751,CVE-2020-10757,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10773,CVE-2020-10781,CVE-2020-11668,CVE-2020-12351,CVE-2020-12352,CVE-2020-12652,CVE-2020-12656,CVE-2020-12769,CVE-2020-12771,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14314,CVE-2020-14331,CVE-2020-14351,CVE-2020-14356,CVE-2020-14385,CVE-2020-14386,CVE-2020-14390,CVE-2020-14416,CVE-2020-15393,CVE-2020-15436,CVE-2020-15437,CVE-2020-15780,CVE-2020-16120,CVE-2020-16166,CVE-2020-1749,CVE-2020-24490,CVE-2020-2521,CVE-2020-25212,CVE-2020-25284,CVE-2020-25285,CVE-2020-25641,CVE-2020-25643,CVE-2020-25645,CVE-2020-25656,CVE-2020-25668,CVE-2020-25669,CVE-2020-25704,CVE-2020-25705,CVE-2020-26088,CVE-2020-27068,CVE-2020-27777,CVE-2020-27786,CVE-2020-27825,CVE-2020-27830,CVE-2020-28915,CVE-2020-28941,CVE-2020-28974,CVE-2020-29369,CVE-2020-29370,CVE-2020-29371,CVE-2020-29373,CVE-2020-29660,CVE-2020-29661,CVE-2020-36158,CVE-2020-4788,CVE-2020-8694
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    kernel-rt-5.3.18-lp152.3.5.1, kernel-rt_debug-5.3.18-lp152.3.5.1, kernel-source-rt-5.3.18-lp152.3.5.1, kernel-syms-rt-5.3.18-lp152.3.5.1